from motor.motor_asyncio import AsyncIOMotorDatabase
import schemas
from crud.base import CRUDBase

__all__ = 'basic_data',


class CRUDOwnername(CRUDBase):
    # 获取所有的基本信息数据
    async def all_owner(self, db: AsyncIOMotorDatabase):
        return await self.find_many(db, {}, {'_id': 0, 'chinese': 0})

    # 获取对应的基础数据
    async def one_owner(self, db: AsyncIOMotorDatabase, data_in: schemas.Getdate):
        return await self.find_one(db, {'name': data_in.name}, {'_id': 0, 'chinese': 0})

    # 修改、添加渠道数据
    async def update(self, db: AsyncIOMotorDatabase, data_in: schemas.Ownername):
        await self.update_one(db, {'name': data_in.name}, {'$set': {'date': data_in.date}})

    # 插入数据
    # async def create(self, db: AsyncIOMotorDatabase, data_in: schemas.ProjectnumberInsert):
    #     # await self.update_one(db, {'xiangmu': data_in.xiangmu}, {'$set': data_in.dict()}, upsert=True)
    #     await self.update_one(db, {data_in.game, data_in.ditch}, upsert=True)
    #


basic_data = CRUDOwnername('basic_data')
