from motor.motor_asyncio import AsyncIOMotorDatabase
import schemas
from crud.base import CRUDBase

__all__ = 'worker_info',


class CRUDWorkerInfo(CRUDBase):
    # 获取所有入职人员信息
    async def all_worker(self, db: AsyncIOMotorDatabase):
        return await self.find_many(db, {}, {'_id': 0})

    # 获取指定字段
    async def find_worker_some(self, db: AsyncIOMotorDatabase, findlist=[]):
        findWhere = {'_id': 0}
        if findlist:
            for key in findlist:
                findWhere.update({
                    key: 1
                })
        return await self.find_many(db, {}, findWhere)

    # 更新一条入职人员信息
    async def update_worker(self, db: AsyncIOMotorDatabase, where, updatedata):

        await self.update_one(db, where, {'$set': updatedata})

    # 插入一条新的面试数据数据
    async def insert_worker(self, db: AsyncIOMotorDatabase, insertdata):

        await self.insert_one(db, insertdata)


worker_info = CRUDWorkerInfo('worker_info')
