import json
import uuid
from datetime import datetime
from enum import Enum
from typing import List

from pydantic import BaseModel, validator, Json

from schemas import DBBase


class ReportBase(BaseModel):
    name: str = None
    query: str = None
    project_id: str = None


class ReportCreate(BaseModel):
    name: str  # 显示名
    user_id: str  # 用户id
    desc: str  # 备注
    query: dict  # 请求参数
    create_date: datetime = datetime.now()  # 创建时间



class ReportEdit(BaseModel):
    report_id: str
    query: dict
    name: str
    desc: str


class ReportCopy(BaseModel):
    report_ids: List[str]
    dest_project_id: str


class ReportDelete(DBBase):
    pass


class ReportRead(BaseModel):
    project_id: str
    report_id: List = []
    dashboard_id: str = None


class Findreport(BaseModel):
    report_id: str


# --------------------------------------------------------------
# 数据库模型
class ReportDB(DBBase):
    name: str  # 显示名
    user_id: str  # 用户id
    desc: str  # 备注
    query: dict  # 请求参数
    create_date: datetime = datetime.now()  # 创建时间
